> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# chatbot

> List of all script folders that contain a script named like "%bot%register%". Returns script id + folder name as flat list.

## "chatbot" MDO List

List of all script folders that contain a script named like "%bot%register%".
Returns script id + folder name as flat list.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ChatbotProvider">ChatbotProvider</see> class.
The name of the MDO list is 'chatbot'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/chatbot
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("chatbot", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "chatbotheadings"
* "chatbotheadingswithallitem"
* "chatbotheadingswithallitemwithnoselection"
* "chatbotheadingswithnoselection"
* "chatbotwithallitem"
* "chatbotwithallitemwithnoselection"
* "chatbotwithnoselection"


## Related topics

- [Chatbot registration](/en/automation/chatbot/registration.md)
- [Chatbot messages](/en/automation/chatbot/messages.md)
- [Chatbot Scripts Reference](/en/automation/chatbot/reference.md)
- [Get Chatbot Turns](/en/api/reference/restful/agent/ai_agent/get-chatbot-turns.md)
- [Get Chatbot Response](/en/api/reference/restful/agent/ai_agent/get-chatbot-response.md)
- [Clear Chatbot Turns](/en/api/reference/restful/agent/ai_agent/clear-chatbot-turns.md)
